Page MenuHomePhabricator

Symbols on Special:AbuseFilter/test and Special:AbuseFilter/examine appears misalignated
Closed, ResolvedPublic

Description

As you can see in the uploaded file, the symbols used to identify whether an edit triggered the filter or not appears misalignated and makes reading of the page difficult. Please fix this. Thanks. {F20820}

Event Timeline

MarcoAurelio raised the priority of this task from to Needs Triage.
MarcoAurelio updated the task description. (Show Details)
MarcoAurelio added a project: AbuseFilter.
MarcoAurelio changed Security from none to None.
MarcoAurelio added a subscriber: MarcoAurelio.
Aklapper triaged this task as Low priority.Dec 11 2014, 5:36 PM
Se4598 added a subscriber: Se4598.Dec 11 2014, 5:54 PM

looks like it's skin=monobook (and I reproduced it /w on dewiki-beta, Vector look ok). Apparently there is one CSS-rule overwriting the padding (left) offset by AbuseFilter.

Same as T42085 reported by me but closed as worksforme some time ago. Obviously not fixed.

Same as T42085 reported by me but closed as worksforme some time ago. Obviously not fixed.

"Worksforme" obviously is not "fixed"; and T42085 did not mention Monobook (if that's also the skin you're using).

MarcoAurelio added a comment.EditedSep 12 2015, 3:43 PM

Indeed, it's Monobook skin.

Seems that is this piece of code what should be amended.

I've included this code in my monobook.css file at Meta and strangely it works. When I remove it, the error still apears. It's funny because it's the same code of ext.abuseFilter.css.

Restricted Application added a subscriber: Luke081515. · View Herald TranscriptSep 12 2015, 3:43 PM

Change 422204 had a related patch set uploaded (by Daimona Eaytoy; owner: Daimona Eaytoy):
[mediawiki/extensions/AbuseFilter@master] Reinforce CSS selectors to avoid overriding by MonoBook

https://gerrit.wikimedia.org/r/422204

Change 422204 merged by jenkins-bot:
[mediawiki/extensions/AbuseFilter@master] Reinforce CSS selectors to avoid overriding by MonoBook

https://gerrit.wikimedia.org/r/422204

Daimona closed this task as Resolved.Mar 30 2018, 2:20 PM
Daimona claimed this task.